Bug 228282 - java.lang.NullPointerException at web.jsf.editor.hints.LibraryDeclarationChecker.addUnusedLibrary(LibraryDeclarationChecker.java:341)
java.lang.NullPointerException at web.jsf.editor.hints.LibraryDeclarationChec...
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.3.1
PC Linux
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 12:54 UTC by Vladimir Riha
Modified: 2013-05-09 14:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log (3.12 KB, text/x-log)
2013-04-05 12:54 UTC, Vladimir Riha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-05 12:54:01 UTC
Created attachment 133332 [details]
IDE log

This NPE is popping out if I you:

- create new Java EE7 Web with GlassFish 4 and JSF 2.2
- paste following to index.xhtml

<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://java.sun.com/jsf/passthrough"   >
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        Hello from Facelets
    </h:body>
</html>



- save and try to type something, or simply close and reopen the file

This doesn't happen in 7.3. Martin, I'm assigning it to you since you did some changes in NS lately so I guess you're the right one for this issue :)


Product Version: NetBeans IDE Dev (Build web-main-javaee7-207-on-20130405)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-08 12:29:59 UTC
Should be fixed in web-main #3b4ce47b4a8.
Comment 2 Vladimir Riha 2013-04-09 07:08:55 UTC
Seems fine, thanks

Product Version: NetBeans IDE Dev (Build web-main-javaee7-220-on-20130409)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 3 Marian Mirilovic 2013-05-03 09:18:04 UTC
So, where exactly is this issue fixed ? Is it already in release73 repository ? If so, please change SW to '73patch2-fixed', thanks in advance.
Comment 4 Vladimir Riha 2013-05-09 14:12:07 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo